package com.tcctlo.law.vo;

import com.tcctlo.law.entity.CaseInformation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 案件列表VO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CaseInformationListVO extends CaseInformation {

    /**
     * 委托方
     */
    private String entrustingParty;

    /**
     * 相对方
     */
    private String opposite;

    /**
     * 代理律师
     */
    private String attorneyAgent;

    /**
     * 协办律师
     */
    private String assistingLawyer;
}
